@echo off
REM ***************************************************************************
REM This command file checks the channel status. If the channel status shows OK,
REM then the user can continue with the Test Drive.
REM If the channel status fails to show OK, then the user can only run this
REM Test Drive in standalone mode. The IDOC will never get sent to the
REM Registration System and onto the SAP system.
REM ***************************************************************************
title Check Channel Status
set CLASSPATH=%MYJDK%\bin;%MQSeries%\java\lib;%TSDEMOPATH%\sdk\JavaMQSISAP\testdrive\JavaFE;%MQSeries%\java\lib\com.ibm.mq.jar;%MQSeries%\java\lib\com.ibm.mqbind.jar;%MQSeries%\java\lib\com.ibm.iiop.jar;

REM first get queue manager name
call %TSDEMOPATH%\SDK\JavaMqsiSap\TestDrive\JavaFE\shortname.cmd

REM // Following code moved to register.cmd
REM // REM Before starting channels issue a RESET to FRONTEND.REGSYS in case of earlier problems
REM // echo Before starting channels issue a RESET to FRONTEND.REGSYS
REM // runmqsc < %TSDEMOPATH%\SDK\JavaMqsiSap\TestDrive\JavaFE\reset_sdr_chl.dat

:CHSTART
echo.
echo * Start Channels
echo java StartChannels %QM_NAME% REGSYS
java StartChannels %QM_NAME% REGSYS
echo.

:CHSTATUS
echo.
echo * Check Channel Status
echo java ChannelStatus %QM_NAME% REGSYS
java ChannelStatus %QM_NAME% REGSYS
echo.

echo * The channels should show a status of "OK" or "Already acquired"
echo * Check Channel Status again? (Y/N)
:get_Y_or_N
choice /C:YN
if "%errorlevel%" == "1" goto CHSTART
if "%errorlevel%" == "2" goto PAUSE
goto get_Y_or_N

:PAUSE
REM pause

REM *** Start MQ Channel Initiator for retry if required
echo *** Start MQ Channel Initiator for retry if required
ps > process.out
Findstr /c:"MQ Channel Initiator for retry" process.out > nul 2>&1
if "%errorlevel%"=="0" goto InitiatorRunning
echo ... Start MQSeries Channel Initiator
start "MQ Channel Initiator for retry" /MIN runmqchi
goto continue1
:InitiatorRunning
echo ... MQSeries Channel Initiator already running
:continue1
echo.

pause
exit
