@echo off
REM *****************************************************************
REM This command file creates the MQ Queue Manager
REM *****************************************************************

set QueueManager=%1

title Creating MQSeries Queue Manager %QueueManager%

echo * End the MQ queue manager if already running
echo endmqm -i %QueueManager%
endmqm -i %QueueManager%
echo.

echo * Delete the old MQ queue manager if one exists
echo dltmqm %QueueManager%
dltmqm %QueueManager%
echo.

echo * Request delete again - timing issue
echo dltmqm %QueueManager%
dltmqm %QueueManager%
echo.

echo * Create the new queue manager
echo crtmqm -q %QueueManager%
crtmqm -q %QueueManager%
echo.

echo * Start the new queue manager
echo strmqm
strmqm

pause
exit
