@echo off
REM *****************************************************************
REM This command file issues runqsc commands to MQ objects locked
REM by MQSI
REM *****************************************************************
title Issue runmqsc commands
if "%1" == "" goto INVOCERR
call :KillRulesEngine
call :IssueMqscCmd %1
call :StartRulesEngine
echo.
pause
goto :EOF

REM ****** Kill MQSI rules engine ******
:KillRulesEngine
echo ... Stopping Rules Engine
pushd %TSDEMOPATH%\common\kill
call endpid MQI Rules Engine
popd
echo.
echo ... Wait 20 seconds for MQSeries locks to be removed
call %tsdemopath%\sdk\JavaMqsiSap\TestDrive\JavaFE\delay.exe
call %tsdemopath%\sdk\JavaMqsiSap\TestDrive\JavaFE\delay.exe
call %tsdemopath%\sdk\JavaMqsiSap\TestDrive\JavaFE\delay.exe
call %tsdemopath%\sdk\JavaMqsiSap\TestDrive\JavaFE\delay.exe
goto :EOF

REM ****** Issue MQSC command ******
:IssueMqscCmd %1
echo.
echo ... Issue the runmqsc commands
runmqsc < %1
goto :EOF

REM ****** Start MQSI rules engine ******
:StartRulesEngine
echo.
echo ... Start Rules Engine
pushd %MQI%\bin
start "MQI Rules Engine" /MIN mqsiruleng.exe -p TD7_MQSIruleng.mpf
popd
goto :EOF

REM ****** Issue and error and exit
:INVOCERR
echo.
echo Invocation error - requires datafile name
echo For example: IssueRunmqscMQSI ClearQ_Failure.dat
echo.
pause
goto :EOF