@echo off
REM ----------------------------------------------------------------
REM Create a MQDefs-Reg.dat file with the value of %REGSYS% as
REM the registration system
REM ----------------------------------------------------------------
title Creating data file
echo. 

REM Get REGSYS environment variable and check it is not null 
call %TSDEMOPATH%\sdk\JavaMqsiSap\regsys.cmd
if "%REGSYS%"=="" (
  echo ERROR: You seem to have specified a null TCPIP address for the 
  echo ERROR: registration system.  Please run this step agian.
  echo.
  pause
  goto :EOF 
)

echo Building the MQDefs-Reg.dat for use in Registration Step 1 below using
echo the value enterred for the address of the Registration system.
echo.

echo Create fixed part 1
type MQdefs-Reg1.dat > MQdefs-Reg.dat

echo Insert Registration machine IP address of %REGSYS% 
echo        CONNAME('%REGSYS%') + >> MQdefs-Reg.dat

echo Append fixed part 2  
type MQdefs-Reg2.dat >> MQdefs-Reg.dat

echo.
echo Data file for registration machine on IP Address %REGSYS% built
echo.
pause







