@echo off
REM *****************************************************************
REM This command file copies the configuration files that are used
REM by MQ Integrator to the bin directory under the Integrator 
REM install path.
REM These files have already been set up to work with this solution.
REM *****************************************************************
title Copy MQSeries Integrator configuration file

REM Test required variables exist
if "%MQI%" == "" ( set err=MQI& goto env_err)

rem Copy the configuration file
echo Copying sqlsvses.cfg to %MQI%\bin
echo.
copy %TSDEMOPATH%\sdk\JavaMqsiSap\TestDrive\Mqsi\sqlsvses.cfg %MQI%\bin

echo.
pause
exit


REM *************************************************************
REM * Error Handling ONLY beyond this point
REM *************************************************************
:env_err
echo.
echo ERROR - This program requires the environment variable %err% to be set
echo ERROR - to be set. Please report this error.  Task aborting.
echo.
pause
goto :EOF
