@echo off
REM *****************************************************************
REM This command file creates tablespaces that will hold the 
REM database schema for MQSeries Integrator.
REM *****************************************************************

SET DB2INSTANCE=DB2
DB2START

DB2 CREATE DATABASE MQSIDB
DB2 CONNECT TO MQSIDB
REM *** DB2 CREATE TABLESPACE TOOLS MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\tools')
REM *** DB2 CREATE TABLESPACE TEMP MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\temp')

DB2 CREATE TABLESPACE FORMATTER_DATA MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\SDK\JAVAMQSISAP\TESTDRIVE\DB2\MQSIDB\formatter_data')
DB2 CREATE TABLESPACE FORMATTER_INDEX MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\SDK\JAVAMQSISAP\TESTDRIVE\DB2\MQSIDB\formatter_index')
DB2 CREATE TABLESPACE RULES_DATA MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\SDK\JAVAMQSISAP\TESTDRIVE\DB2\MQSIDB\rules_data')
DB2 CREATE TABLESPACE RULES_INDEX MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\SDK\JAVAMQSISAP\TESTDRIVE\DB2\MQSIDB\rules_index')

REM Following used for MQ Integrator V1.0
REM *** DB2 CREATE TABLESPACE NNF MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\nnf')
REM *** DB2 CREATE TABLESPACE NNR MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\nnr')
REM *** DB2 CREATE TABLESPACE NNP MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\nnp')
DB2 CATALOG USER ODBC DATA SOURCE MQSIDB
DB2 LIST USER ODBC DATA SOURCES

pause
exit