@echo off
REM *******************************************************
REM This command file fires off an MQSeries Integrator GUI
REM Usage:
REM   Start_MQSI_GUI RULES
REM   Start_MQSI_GUI FORMATTER
REM *******************************************************

REM ### Setup
title Start MQSeries Integrator GUI
set DB2INSTANCE=DB2
echo Change to MQIntegrator \GUI directory = %MQI%\GUI
pushd %MQI%\GUI

REM ### Parse input
if "%1"=="RULES" goto StartRulesGUI
if "%1"=="FORMATTER" goto StartFormatterGUI
if "%1"=="VISUALTESTER" goto StartVisualTesterGUI
:error
echo Invalid parameter of '%1', RULES or FORMATTER or VISUALTESTER expected
pause
goto exit

:StartRulesGUI
start nnrules
goto exit

:StartFormatterGUI
start nnfmt
goto exit

:StartVisualTesterGUI
start nnvt
goto exit

:exit
exit
