@echo off
REM --------------------------------------------------------------------------------
REM Send the registration request off to REGSYS and define remaining MQ objects on the 
REM front end
REM --------------------------------------------------------------------------------
title Issuing registration request
set CLASSPATH=%MYJDK%\bin;%MQSeries%\java\lib;%TSDEMOPATH%\sdk\JavaMQSISAP\testdrive\JavaFE;%MQSeries%\java\lib\com.ibm.mq.jar;%MQSeries%\java\lib\com.ibm.mqbind.jar;%MQSeries%\java\lib\com.ibm.iiop.jar;
echo.

REM ------------------------------------------------------------------------------
REM Get QM name
REM ------------------------------------------------------------------------------
echo * First obtain Queue Manager name
echo call %tsdemopath%\sdk\JavaMqsiSap\TestDrive\JavaFE\shortname.cmd
call %tsdemopath%\sdk\JavaMqsiSap\TestDrive\JavaFE\shortname.cmd
echo.
echo * Queue Manager name is %QM_NAME%
echo.

REM ------------------------------------------------------------------------------
REM Start the channel to REGSYS
REM Before starting channels issue a RESET to FRONTEND.REGSYS in case of earlier problems
REM ------------------------------------------------------------------------------
echo Before starting channels issue a RESET to FRONTEND.REGSYS
runmqsc < %TSDEMOPATH%\SDK\JavaMqsiSap\TestDrive\JavaFE\reset_sdr_chl.dat
echo Start CHANNEL from this machine to REGSYS (channel FRONTEND.REGSYS)
runmqsc < %TSDEMOPATH%\SDK\JavaMqsiSap\TestDrive\JavaFE\start_sdr_chl.dat
echo.


REM ------------------------------------------------------------------------------
REM Place the registration message on the queue to REGSYS
REM ------------------------------------------------------------------------------
echo * First obtain Registration TCPIP address
echo call %tsdemopath%\sdk\JavaMqsiSap\regsys.cmd
call %tsdemopath%\sdk\JavaMqsiSap\regsys.cmd
echo.

echo * Run Java application
echo java SupplyShortname %QM_NAME% REGSYS %REGSYS%
java SupplyShortname %QM_NAME% REGSYS %REGSYS%
echo.

REM ------------------------------------------------------------------------------
REM Delay for 10 seconds
REM ------------------------------------------------------------------------------
echo * Wait a little while for the registration to complete on
echo * the registration machine#
call %tsdemopath%\sdk\JavaMqsiSap\TestDrive\JavaFE\delay.exe
call %tsdemopath%\sdk\JavaMqsiSap\TestDrive\JavaFE\delay.exe
echo.

pause
hexit