@echo off
REM *******************************************************************************
REM * This command file compiles all the java programs in the local directory and 
REM * copies the created class files to the location where they will be run from. 
REM *
REM * NOTE - the choice.com file used in here is from IBM PC-DOS. No such feature
REM *        is present in the NT command set
REM *******************************************************************************

REM ### Setup
REM set PATH=%PATH%;%MYJDK%\bin
set CLASSPATH=%MYJDK%\bin;%MQSeries%\java\lib;%TSDEMOPATH%\sdk\JavaMQSISAP\testdrive\JavaFE;%MQSeries%\java\lib\com.ibm.mq.jar;%MQSeries%\java\lib\com.ibm.mqbind.jar;%MQSeries%\java\lib\com.ibm.iiop.jar;

echo.
echo The following Java programs will be compiled:
echo.
dir %TSDEMOPATH%\sdk\JavaMqsiSap\TestDrive\JavaFE\JavaSource\*.java /b
echo.

echo ------- starting compile
javac %TSDEMOPATH%\sdk\JavaMqsiSap\TestDrive\JavaFE\JavaSource\*.java
echo ------- compile complete

REM ### get Y or N from the keyboard
:get_Y_or_N
choice /C:YN "Did you see any compile errors above "
if "%errorlevel%"=="1" goto Y
if "%errorlevel%"=="2" goto N
goto get_Y_or_N

REM ### User entered Y
:Y
echo.
echo Please correct the compile errors and re-run this compile step
echo.
goto end

REM ### User entered N 
:N
echo.
echo Since the compile was successful we will now copy the compiled
echo Java classes to the correct location (%TSDEMOPATH%\sdk\JavaMqsiSap\TestDrive\JavaFE)
echo.
echo copy %TSDEMOPATH%\sdk\JavaMqsiSap\TestDrive\JavaFE\JavaSource\*.class %TSDEMOPATH%\sdk\JavaMqsiSap\TestDrive\JavaFE
copy %TSDEMOPATH%\sdk\JavaMqsiSap\TestDrive\JavaFE\JavaSource\*.class %TSDEMOPATH%\sdk\JavaMqsiSap\TestDrive\JavaFE
echo.
goto end


:end
pause

