@echo off
REM *****************************************************************
REM This command file copies the configuration files that are used
REM by MQSeries Integrator to the bin directory under the Integrator 
REM install path.
REM *****************************************************************
title Copying MQSeries Intergrator configuration files

REM Test required files / variables exist
if "%MQI%" == "" ( set err=MQI& goto env_err)

echo.
echo Copy the TD7_MQSIruleng.mpf file to the MQSeries Integrator \bin directory
copy %TSDEMOPATH%\sdk\JavaMqsiSap\TestDrive\Mqsi\TD7_MQSIruleng.mpf %MQI%\bin

echo.
pause
exit


REM *************************************************************
REM * Error Handling ONLY beyond this point
REM *************************************************************
:env_err
echo.
echo ERROR - This program requires the environment variable %err% to be set
echo ERROR - to be set. Please report this error.  Task aborting.
echo.
pause
goto :EOF
